@echo off
setlocal enabledelayedexpansion

set "datasets=Cora Pubmed"
set "nets=GCN GAT APPNP ChebNet BernNet"

for %%d in (%datasets%) do (
    for %%n in (%nets%) do (
        python training.py --dataset %%d --net %%n
    )
)

echo All tasks completed!
